
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make a needlessly global variable static
- #if 0 four unused global functions

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/i387.c |    8 +++++++-
 25-akpm/include/asm-i386/i387.h |    6 ------
 2 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/i386/kernel/i387.c~i386-kernel-i387c-misc-cleanups arch/i386/kernel/i387.c
--- 25/arch/i386/kernel/i387.c~i386-kernel-i387c-misc-cleanups	Mon Feb  7 15:19:22 2005
+++ 25-akpm/arch/i386/kernel/i387.c	Mon Feb  7 15:19:22 2005
@@ -24,7 +24,7 @@
 #define HAVE_HWFP 1
 #endif
 
-unsigned long mxcsr_feature_mask = 0xffffffff;
+static unsigned long mxcsr_feature_mask = 0xffffffff;
 
 void mxcsr_feature_mask_init(void)
 {
@@ -177,6 +177,7 @@ unsigned short get_fpu_swd( struct task_
 	}
 }
 
+#if 0
 unsigned short get_fpu_twd( struct task_struct *tsk )
 {
 	if ( cpu_has_fxsr ) {
@@ -185,6 +186,7 @@ unsigned short get_fpu_twd( struct task_
 		return (unsigned short)tsk->thread.i387.fsave.twd;
 	}
 }
+#endif  /*  0  */
 
 unsigned short get_fpu_mxcsr( struct task_struct *tsk )
 {
@@ -195,6 +197,8 @@ unsigned short get_fpu_mxcsr( struct tas
 	}
 }
 
+#if 0
+
 void set_fpu_cwd( struct task_struct *tsk, unsigned short cwd )
 {
 	if ( cpu_has_fxsr ) {
@@ -222,6 +226,8 @@ void set_fpu_twd( struct task_struct *ts
 	}
 }
 
+#endif  /*  0  */
+
 /*
  * FXSR floating point environment conversions.
  */
diff -puN include/asm-i386/i387.h~i386-kernel-i387c-misc-cleanups include/asm-i386/i387.h
--- 25/include/asm-i386/i387.h~i386-kernel-i387c-misc-cleanups	Mon Feb  7 15:19:22 2005
+++ 25-akpm/include/asm-i386/i387.h	Mon Feb  7 15:19:22 2005
@@ -17,7 +17,6 @@
 #include <asm/sigcontext.h>
 #include <asm/user.h>
 
-extern unsigned long mxcsr_feature_mask;
 extern void mxcsr_feature_mask_init(void);
 extern void init_fpu(struct task_struct *);
 /*
@@ -86,13 +85,8 @@ static inline void save_init_fpu( struct
  */
 extern unsigned short get_fpu_cwd( struct task_struct *tsk );
 extern unsigned short get_fpu_swd( struct task_struct *tsk );
-extern unsigned short get_fpu_twd( struct task_struct *tsk );
 extern unsigned short get_fpu_mxcsr( struct task_struct *tsk );
 
-extern void set_fpu_cwd( struct task_struct *tsk, unsigned short cwd );
-extern void set_fpu_swd( struct task_struct *tsk, unsigned short swd );
-extern void set_fpu_twd( struct task_struct *tsk, unsigned short twd );
-
 /*
  * Signal frame handlers...
  */
_
